Get a gift card by its ID.
Security
OAuth2(Required scopes: gift-card.read)
- https://api.understory.iohttps://api.understory.io/v1/gift-cards/{giftCardId}
curl -i -X GET \
'https://api.understory.io/v1/gift-cards/{giftCardId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'OK
The current status of the gift card.
Enum:"ACTIVE""SPENT""EXPIRED""VOIDED""UNKNOWN"
Response
{ "id": "string", "status": "ACTIVE", "order_id": "string", "currency": "EUR", "initial_value": { "currency": "EUR", "value": 2500, "exponent": 2 }, "balance": { "currency": "EUR", "value": 2500, "exponent": 2 }, "expires_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "source": "string", "customer": { "customer_type": "PRIVATE", "full_name": "string", "email": "user@example.com", "phone": "string", "address": { … } }, "metadata": { "key1": "value1", "key2": "value2" } }